//
//  UIView+ZLXExtension.m
//  ZLX-08
//
//  Created by zlx on 16/4/8.
//  Copyright © 2016年 ZLX. All rights reserved.
//

#import "UIView+ZLXExtension.h"

@implementation UIView (ZLXExtension)
- (void) setWidth:(CGFloat)width{

    CGRect frame = self.frame;
    frame.size.width = width;
    self.frame = frame;

}
- (void) setHeight:(CGFloat)height{

    CGRect frame = self.frame;
    frame.size.height = height;
    self.frame = frame;

}
- (void) setY:(CGFloat)y{
   
    CGRect frame = self.frame;
    frame.origin.y = y;
    self.frame = frame;

}
- (void) setX:(CGFloat)x{

    CGRect frame = self.frame;
    frame.origin.x = x;
    self.frame = frame;

}
- (CGFloat) width{
    return self.frame.size.width;

}
- (CGFloat) height{

    return self.frame.size.height;

}
- (CGFloat) x{

    return self.frame.origin.x;

}
- (CGFloat) y{

    return self.frame.origin.y;


}
- (void) setSize:(CGSize)size{

    CGRect frame = self.frame;
    
    frame.size = size;
    
    self.frame = self.frame;
}
- (CGSize) size{

    return self.frame.size;

}
- (void) setCenterx:(CGFloat)centerx{

    CGPoint center = self.center;
    center.x = centerx;
}
- (void) setCentery:(CGFloat)centery{
    CGPoint center = self.center;
    center.y = centery;

}
-(CGFloat) centerx{
    return self.center.x;

}
- (CGFloat) centery{
    return self.center.y;
 
}
@end
